| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iEmitGen3D Struct Reference

This interface is for objects that can generate 3d vectors, which are used for emitting. More...

`#include <imesh/emit.h>`

Inheritance diagram for iEmitGen3D:

[legend]
List of all members.

## Public Member Functions
virtual void | GetValue (csVector3 &value, csVector3 &given)=0
| get the 3d value, posibly using a given value.

## Detailed Description

This interface is for objects that can generate 3d vectors, which are used for emitting.

Main users of this interface:

- iEmitState

Definition at line 39 of file emit.h.

## Member Function Documentation

virtual void iEmitGen3D::GetValue | ( | csVector3 & | value,
|  | csVector3 & | given |
| ) |  |  | `[pure virtual]`

get the 3d value, posibly using a given value.

The documentation for this struct was generated from the following file:

- imesh/emit.h